Retrieve

Returns information about an individual customer account by its unique identifier.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

Name

Type

Description

Example

merchant

string

Merchant ID

"275dbe1d77f34aca968fb75a8dbb4c82"

merchant_user_id

string

Merchant User ID

"TEST"

session_id

string

Session ID, obtained from og_session_id cookie

"5bda04dc429d11e4bd78bc764e106cf4.463053.1418160308"

user_token_id

string

User Token ID

"bda1c6b0084811e6965ebc764e106cf4"

first_name

string

Customer first name

"John"

last_name

string

Customer last name

"Doe"

email

string

Customer email

"[email protected]"

phone_number

string

Customer phone number

"+15551231234"

phone_type

int

Customer phone type.

Options: 0, 1, 2, 3

0 = "Invalid"
1 = "Landline"
2 = "Mobile"
3 = "VoIP"

1

live

boolean

Account status: active = 'True'

True

created

string

Date of customer account creation

"2017-02-29 12:00:00"

last_updated

string

Date of most recent customer account update

"2017-02-29 12:00:00"

last_login

string

Date of most recent customer login

"2017-02-29 12:00:00"

extra_data

string

Raw JSON string that should be JSON.parse() as key/value store for any extra information

"{"some": "extra", "fields": "here"}"

locale

integer

Customer locale code

42

price_code

string

Customer price code

"prom_customer"

Path Params
string
required

Merchant User ID

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain